%define _disable_ld_no_undefined 1

Summary:	K Desktop Environment Information Management runtime stuff
Name:		kdepim4-runtime
Version:	4.13.3
Release:	1
Epoch:		3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://community.kde.org/KDE_PIM
%define is_beta %(if test `echo %{version} |cut -d. -f3` -ge 70; then echo -n 1; else echo -n 0; fi)
%if %{is_beta}
%define ftpdir unstable
%else
%define ftpdir stable
%endif
Source0:	ftp://ftp.kde.org/pub/kde/%{ftpdir}/%{version}/src/kdepim-runtime-%{version}.tar.xz
Source1:	%{name}.rpmlintrc
Patch10:	kdepim-runtime-4.10.5-noakonaditray.patch
BuildRequires:	boost-devel
BuildRequires:	kdelibs4-devel >= 5:%{version}
BuildRequires:	kdepimlibs4-devel
BuildRequires:	qt4-qtdbus
BuildRequires:	akonadi
BuildRequires:	pkgconfig(akonadi)
BuildRequires:	pkgconfig(LibKFbAPI)
BuildRequires:	pkgconfig(libkgapi)
BuildRequires:	pkgconfig(libstreams)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(shared-desktop-ontologies)

%description
Information Management applications for the K Desktop Environment runtime libs.

#-----------------------------------------------------------------------------

%package -n akonadi-kde
Group:		Graphical desktop/KDE
Summary:	Akonadi control center for KDE
Provides:	kdepim4-runtime = %{EVRD}
Conflicts:	kdepim4-runtime-devel < 2:4.7.97
Conflicts:	%{_lib}kdepim-copy4 < 3:4.9.0
Requires:	akonadi
%if %{mdvver} >= 201400
Requires:	mariadb-client
%else
Requires:	mysql-client
%endif

%description -n akonadi-kde
Akonadi control center for KDE.

%files -n akonadi-kde
%{_kde_bindir}/*
%{_kde_appsdir}/akonadi
%{_kde_appsdir}/akonadi_facebook_resource/akonadi_facebook_resource.notifyrc
%{_kde_appsdir}/akonadi_maildispatcher_agent
%{_kde_appsdir}/akonadi_newmailnotifier_agent/akonadi_newmailnotifier_agent.notifyrc
%{_kde_appsdir}/kconf_update/newmailnotifier.upd
%{_kde_applicationsdir}/*
%{_kde_datadir}/akonadi/
%{_kde_datadir}/mime/packages/*
%{_kde_libdir}/kde4/*
%{_kde_iconsdir}/*/*/*/*
%{_kde_configdir}/*
%{_kde_autostart}/kaddressbookmigrator.desktop
%{_kde_services}/*
%{_kde_servicetypes}/*.desktop
%{_kde_datadir}/dbus-1/interfaces/*

#-----------------------------------------------------------------------------

%define akonadi_filestore_major 4
%define libakonadi_filestore %mklibname akonadi_filestore %{akonadi_filestore_major}

%package -n %{libakonadi_filestore}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libakonadi_filestore}
KDE 4 library.

%files -n %{libakonadi_filestore}
%{_kde_libdir}/libakonadi-filestore.so.%{akonadi_filestore_major}*

#-----------------------------------------------------------------------------

%define folderarchivesettings_major 4
%define libfolderarchivesettings %mklibname folderarchivesettings %{folderarchivesettings_major}

%package -n %{libfolderarchivesettings}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libfolderarchivesettings}
KDE 4 library.

%files -n %{libfolderarchivesettings}
%{_kde_libdir}/libfolderarchivesettings.so.%{folderarchivesettings_major}*

#-----------------------------------------------------------------------------

%define kdepim_copy_major 4
%define libkdepim_copy %mklibname kdepim-copy %{kdepim_copy_major}

%package -n %{libkdepim_copy}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkdepim_copy}
KDE 4 library.

%files -n %{libkdepim_copy}
%{_kde_libdir}/libkdepim-copy.so.%{kdepim_copy_major}*

#-----------------------------------------------------------------------------

%define kmindexreader_major 4
%define libkmindexreader %mklibname kmindexreader %{kmindexreader_major}

%package -n %{libkmindexreader}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libkmindexreader}
KDE 4 library.

%files -n %{libkmindexreader}
%{_kde_libdir}/libkmindexreader.so.%{kmindexreader_major}*

#-----------------------------------------------------------------------------

%define maildir_major 4
%define libmaildir %mklibname maildir %{maildir_major}

%package -n %{libmaildir}
Summary:	KDE 4 library
Group:		System/Libraries

%description -n %{libmaildir}
KDE 4 library.

%files -n %{libmaildir}
%{_kde_libdir}/libmaildir.so.%{maildir_major}*

#----------------------------------------------------------------------

%package devel
Summary:	Devel stuff for %{name}
Group:		Development/KDE and Qt
Requires:	kdepimlibs4-devel
Requires:	%{libakonadi_filestore} = %{EVRD}
Requires:	%{libfolderarchivesettings} = %{EVRD}
Requires:	%{libkdepim_copy} = %{EVRD}
Requires:	%{libkmindexreader} = %{EVRD}
Requires:	%{libmaildir} = %{EVRD}

%description devel
This package contains header files needed if you wish to build applications
based on kdepim-runtime.

%files devel
%{_kde_libdir}/libakonadi-filestore.so
%{_kde_libdir}/libfolderarchivesettings.so
%{_kde_libdir}/libkdepim-copy.so
%{_kde_libdir}/libkmindexreader.so
%{_kde_libdir}/libmaildir.so

#----------------------------------------------------------------------

%prep
%setup -q -n kdepim-runtime-%{version}
%patch10 -p1

%build
rm -fr po
%cmake_kde4
%make

%install
%makeinstall_std -C build

# Remove non packaged files
rm -rf %{buildroot}%{_kde_libdir}/libnepomukfeederpluginlib.a


%changelog
* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:4.13.3-1
+ Revision: 5dbe349
- LOG New version 4.13.3 (sync spec and patches with Cooker)


